/* * Theme Name:     Storefront Child Theme
 * * Theme URI:      https://github.com/stuartduff/storefront-child-theme
 * * Author:         Stuart Duff
 * * Author URI:     http://stuartduff.com
 * * Template:     	storefront
 * * Description:  	This is a blank child theme for WooThemes StoreFront theme
 * * Version:      	1.0.0
 * * License:      	GNU General Public License v2 or later
 * * License URI:  	http://www.gnu.org/licenses/gpl-2.0.html
 * * Text Domain:  	storefront
 * * Tags:         	black, white, light, two-columns, left-sidebar, right-sidebar, responsive-layout, custom-background, custom-colors, custom-header, custom-menu, featured-images, full-width-template, threaded-comments, accessibility-ready
 * * This theme, like WordPress, is licensed under the GPL.
 * * Use it to make something cool, have fun, and share what you've learned with others.
 * * Storefront is based on Underscores http://underscores.me/, (C) 2012-2014 Automattic, Inc.
 * * Resetting and rebuilding styles have been helped along thanks to the fine work of
 * * Eric Meyer http://meyerweb.com/eric/tools/css/reset/index.html
 * * along with Nicolas Gallagher and Jonathan Neal http://necolas.github.com/normalize.css/
 * * FontAwesome License: SIL Open Font License - http://scripts.sil.org/OFL
 * * Images License: GNU General Public License v2 or later
 * */
html.iframe header#masthead, html.iframe .storefront-breadcrumb, html.iframe header.entry-header, html.iframe footer#colophon {
  display: none;
}
html.iframe .single-mailpoet_page header#masthead, html.iframe .single-mailpoet_page .storefront-breadcrumb, html.iframe .single-mailpoet_page footer#colophon {
  display: none;
}
html.iframe .single-mailpoet_page div#content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100vh;
}

#user_switching_switch_on {
  bottom: 0 !important;
  left: 0 !important;
  padding: 0.5em 1em !important;
  padding-right: 1.25em !important;
  background: #7f54b3 !important;
  border-radius: 0 1em 0 0 !important;
}
#user_switching_switch_on a {
  color: white !important;
}

.opencall-submission section.opencall-step {
  margin-bottom: 1em;
}
.opencall-submission section.opencall-step:not(:last-child) {
  border-bottom: 2px solid #500272;
}
.opencall-submission section.opencall-step:not(:hover) header button {
  visibility: hidden;
}
.opencall-submission section.opencall-step header {
  display: flex;
  align-items: center;
  margin-bottom: 1em;
}
.opencall-submission section.opencall-step header h3 {
  margin: 0;
  margin-right: 0.5em;
}
.opencall-submission section.opencall-step header span.opencall-step-desc {
  display: block;
  color: lightgrey;
  font-size: 1.25em;
}
.opencall-submission section.opencall-step header span.opencall-step-desc:not(:empty) {
  margin-right: 1em;
}
.opencall-submission section.opencall-step .messages > * {
  margin-bottom: 1em;
}
.opencall-submission section.opencall-step form {
  margin-top: 1em;
}
.opencall-submission section.opencall-step form.readonly .data {
  pointer-events: none;
  opacity: 0.5;
}
.opencall-submission section.opencall-step form .form-row.invalid input, .opencall-submission section.opencall-step form .form-row.invalid textarea {
  outline: 2px solid red;
}
.opencall-submission section.opencall-step form .form-row.invalid select {
  border: 2px solid red;
}
.opencall-submission section.opencall-step form .form-row.readonly {
  cursor: not-allowed;
}
.opencall-submission section.opencall-step form .form-row.readonly .woocommerce-input-wrapper {
  pointer-events: none;
  opacity: 65%;
}
.opencall-submission section.opencall-step form .buttons {
  display: flex;
  gap: 1em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-image-description, .opencall-submission section.opencall-step[data-step-name=artist] .artist-logo-biography {
  display: flex;
  margin-bottom: 1.41575em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-image-description figure, .opencall-submission section.opencall-step[data-step-name=artist] .artist-logo-biography figure {
  flex: 1;
  margin-right: 1.5em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-image-description figure img, .opencall-submission section.opencall-step[data-step-name=artist] .artist-logo-biography figure img {
  width: 100%;
  heigth: auto;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-image-description .form-row, .opencall-submission section.opencall-step[data-step-name=artist] .artist-logo-biography .form-row {
  flex: 2;
  align-self: stretch;
  margin-bottom: 0;
  display: flex;
  flex-direction: column;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-image-description .form-row .woocommerce-input-wrapper, .opencall-submission section.opencall-step[data-step-name=artist] .artist-logo-biography .form-row .woocommerce-input-wrapper {
  flex: 1;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-image-description .form-row .woocommerce-input-wrapper textarea, .opencall-submission section.opencall-step[data-step-name=artist] .artist-logo-biography .form-row .woocommerce-input-wrapper textarea {
  height: 100%;
  min-height: 200px;
  resize: none;
}
.opencall-submission section.opencall-step[data-step-name=terms] .contract {
  pointer-events: auto;
  list-style: none;
  margin: 1em 0;
}
.opencall-submission section.opencall-step[data-step-name=terms] .contract a {
  display: flex;
  align-items: center;
  font-weight: bold;
}
.opencall-submission section.opencall-step[data-step-name=terms] .contract a[href$=".pdf"]::before {
  content: "";
  display: block;
  width: 3em;
  height: 3em;
  background-image: url("img/icons/pdf.svg");
  background-size: auto 100%;
  background-position: center;
  background-repeat: no-repeat;
  margin-right: 0.5em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] header .badge {
  padding: 0.25em 0.5em;
  margin-left: 0.5em;
  border-radius: 6px;
}
.opencall-submission section.opencall-step[data-step-name=artwork] header .badge.draft {
  background-color: DeepPink;
  color: white;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-images-header {
  display: flex;
  align-items: center;
  margin-bottom: 1em;
  margin-top: 2.2906835em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-images-header h4 {
  margin: 0;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-images-header .artwork-images-count {
  margin-left: 1em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-images-header .artwork-images-count .count {
  padding: 0 0.5em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-images-header button {
  padding: 0.025em 0.75em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-images-header button.hidden {
  visibility: hidden;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .commission-explanation:not(.show) {
  display: none;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery {
  display: flex;
  flex-direction: column;
  counter-reset: gallery-image-nr;
  margin-left: 0;
  margin-bottom: 0;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li {
  display: grid;
  grid-template-columns: 1.5em 200px 1fr;
  gird-template-rows: max-content max-content max-content max-content;
  margin-bottom: 2em;
  padding: 1em;
  padding-top: 0.5em;
  padding-bottom: 1.25em;
  border: 2px solid #7f54b3;
  border-radius: 6px;
  background: whitesmoke;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li:not(:focus-within) {
  border-color: lightgrey;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li.hidden {
  display: none;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li.error {
  border-color: red;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li.main {
  order: -1;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li.main h4 {
  font-weight: bolder;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li:not(.main) {
  counter-increment: gallery-image-nr;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li:not(.main) h4::after {
  content: " " counter(gallery-image-nr);
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li h4 {
  grid-area: 1/1/span 1/span 3;
  text-align: center;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li input {
  background: white;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li .artwork-image-main {
  grid-area: 1/1/span 3/span 1;
  align-self: center;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li .artwork-image-main .form-row {
  margin: 0;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li .artwork-image-main .form-row label.checkbox span.optional {
  display: none;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li .artwork-image-caption {
  grid-area: 2/2/span 1/span 2;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li .artwork-image-meta {
  grid-area: 3/3/span 1/span 1;
  margin-left: 1em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li .artwork-image-meta .alt-text-explanation {
  padding: 0 1em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li .artwork-image-meta .image-upload {
  margin-top: -0.5em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li .artwork-image-meta .image-upload input {
  background: unset;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li .artwork-image-upload {
  grid-area: 4/2/span 1/span 2;
  margin-top: 0.5em;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li .artwork-image-upload input {
  background: unset;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li figure {
  grid-area: 3/2/span 1/span 1;
  background: lightgrey;
  border-radius: 3px;
  overflow: hidden;
}
.opencall-submission section.opencall-step[data-step-name=artwork] .artwork-gallery li figure:has(img:not([src=""])) {
  background: transparent;
}